Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Class ExecTool

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.sun.javatest.tool.Tool
                          com.sun.javatest.exec.ExecTool

All Implemented Interfaces:
  BasicSession.OrderedObserver, ExecModel, Session.Observer, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class ExecTool

extends Tool
implements ExecModel, BasicSession.OrderedObserver

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.tool.Tool
`Tool.Observer`

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class com.sun.javatest.tool.Tool
`uif`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ExecTool(ExecToolManager mgr, TestSuite ts)`

Method Summary
`void` | `configure()` Causes a series of actions to be performed to complete configuration.
`static ContextManager` | `createContextManager(TestSuite ts)`
`void` | `dispose()` Release any resources this tool may be referencing.
`TestResultTable` | `getActiveTestResultTable()` Get the test result table currently in use for display.
`ContextManager` | `getContextManager()`
`ExecToolManager` | `getExecToolManager()`
`FilterConfig` | `getFilterConfig()`
`InterviewParameters` | `getInterviewParameters()`
`TestSuite[]` | `getLoadedTestSuites()` Get a list of any test suites that are being used by this tool.
`javax.swing.JMenuBar` | `getMenuBar()` Get the menu bar for a tool.
`TestSuite` | `getTestSuite()`
`protected javax.swing.JToolBar` | `getToolBar()`
`UIFactory` | `getUIF()`
`WorkDirectory` | `getWorkDirectory()`
`protected void` | `initGUI()`
`boolean` | `isConfiguring()` Returns true if the model is in the configuration stage, user is either selecting work directory or editing configuration.
`boolean` | `isQuickStartWizardShowing()`
`int` | `order()` BasicSession.OrderedObserver interface method.
`void` | `print(java.awt.print.Printable p)`
`void` | `printSetup()`
`protected void` | `restore(java.util.Map m)` Restore information about a tool from a map, and configure the tool according this information.
`void` | `runTests()` Invoked after QSW
`void` | `runTests(java.lang.String[] urls)` Run specified tests.
`protected void` | `save(java.util.Map m)` Save information about a tool in a map, so that the tool can be restored in a later invocation of JT Harness.
`void` | `setVisible(boolean f)`
`void` | `setWorkDir(WorkDirectory wd, boolean addToFileHistory)`
`void` | `showConfigEditor()` Invoked after QSW
`void` | `showConfigEditor(boolean runTests)` Show the configuration editor for this tool, and optionally run the tests defined by the configuration when the editor is closed.
`void` | `showMessage(java.util.ResourceBundle msgs, java.lang.String key)`
`void` | `showQuickStartWizard()`
`void` | `showTemplateEditor()` Show the configuration editor for this tool with current template
`void` | `showWorkDirDialog(boolean allowTemplates)`
`void` | `update(InterviewParameters ip)` Invoked when manager orders to use new ip
`void` | `update(WorkDirectory wd)` Invoked when manager orders to use new wd.
`void` | `update(WorkDirectory wd, boolean updateConfig)` Invoked when manager orders to use new wd.
`void` | `updated(Session.Event e)` Session.Observer interface method

Methods inherited from class com.sun.javatest.tool.Tool
`addObserver, getCloseAlerts, getCreationTime, getDesktop, getHelpBroker, getLoadedWorkDirectories, getManager, getShortTitle, getTitle, getToolDialogs, removeObserver, setHelp, setHelp, setHelpOnButton, setI18NTitle, setI18NTitle, setI18NTitle, setShortTitle`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecTool

    public ExecTool(ExecToolManager mgr,
                    TestSuite ts)
             throws Session.Fault

Throws:
  `Session.Fault`

Method Detail

### createContextManager

    public static ContextManager createContextManager(TestSuite ts)

### getUIF

    public UIFactory getUIF()

### getMenuBar

    public javax.swing.JMenuBar getMenuBar()

  Description copied from class: `Tool`
  Get the menu bar for a tool. This should just contain the tool-specific menus. The desktop will automatically add and display the standard menus on the menu bar.

  Specified by:
    `getMenuBar` in class `Tool`
  Returns:
    a menu bar containing tool-specific menus

### getToolBar

    protected javax.swing.JToolBar getToolBar()

### setVisible

    public void setVisible(boolean f)

  Overrides:
    `setVisible` in class `javax.swing.JComponent`

### initGUI

    protected void initGUI()

### save

    protected void save(java.util.Map m)

  Description copied from class: `Tool`
  Save information about a tool in a map, so that the tool can be restored in a later invocation of JT Harness. The tool must also implement the following method `public static Tool restore(Map m)` which will be invoked to recreate the tool.

  Specified by:
    `save` in class `Tool`
  Parameters:
    `m` - the map in which to store the significant state of the tool

### restore

    protected void restore(java.util.Map m)

  Description copied from class: `Tool`
  Restore information about a tool from a map, and configure the tool according this information.

  Specified by:
    `restore` in class `Tool`
  Parameters:
    `m` - the map in which to store the significant state of the tool

### dispose

    public void dispose()

  Description copied from class: `Tool`
  Release any resources this tool may be referencing. This is for "destroying" this tool instance.

  Overrides:
    `dispose` in class `Tool`

### getTestSuite

    public TestSuite getTestSuite()

  Specified by:
    `getTestSuite` in interface `ExecModel`

### getLoadedTestSuites

    public TestSuite[] getLoadedTestSuites()

  Description copied from class: `Tool`
  Get a list of any test suites that are being used by this tool.

  Overrides:
    `getLoadedTestSuites` in class `Tool`
  Returns:
    Array of 1 element - the current testSuite

### getWorkDirectory

    public WorkDirectory getWorkDirectory()

  Specified by:
    `getWorkDirectory` in interface `ExecModel`

### getInterviewParameters

    public InterviewParameters getInterviewParameters()

  Specified by:
    `getInterviewParameters` in interface `ExecModel`

### getFilterConfig

    public FilterConfig getFilterConfig()

  Specified by:
    `getFilterConfig` in interface `ExecModel`

### getContextManager

    public ContextManager getContextManager()

  Specified by:
    `getContextManager` in interface `ExecModel`

### getActiveTestResultTable

    public TestResultTable getActiveTestResultTable()

  Description copied from interface: `ExecModel`
  Get the test result table currently in use for display. This value provides a temporary answer if the work directory does not exist yet. If a work directory is available, the query is forwarded to that object.

  Specified by:
    `getActiveTestResultTable` in interface `ExecModel`
  Returns:
    the test result table currently in use for display.

### update

    public void update(WorkDirectory wd)
                throws Session.Fault

  Invoked when manager orders to use new wd.

  Parameters:
    `wd` -
  Throws:
    `Session.Fault`
  See Also:
    `update(WorkDirectory, boolean)`

### update

    public void update(WorkDirectory wd,
                       boolean updateConfig)
                throws Session.Fault

  Invoked when manager orders to use new wd.

  Parameters:
    `wd` - Work dir to update.
    `updateConfig` - - hint whether to reload the configuration from disk
  Throws:
    `Session.Fault`

### update

    public void update(InterviewParameters ip)
                throws Session.Fault

  Invoked when manager orders to use new ip

  Parameters:
    `ip` -
  Throws:
    `Session.Fault`

### updated

    public void updated(Session.Event e)

  Session.Observer interface method

  Specified by:
    `updated` in interface `Session.Observer`
  Parameters:
    `e` -

### order

    public int order()

  BasicSession.OrderedObserver interface method.

  Specified by:
    `order` in interface `BasicSession.OrderedObserver`

### showWorkDirDialog

    public void showWorkDirDialog(boolean allowTemplates)

  Specified by:
    `showWorkDirDialog` in interface `ExecModel`

### showConfigEditor

    public void showConfigEditor(boolean runTests)

  Description copied from interface: `ExecModel`
  Show the configuration editor for this tool, and optionally run the tests defined by the configuration when the editor is closed.

  Specified by:
    `showConfigEditor` in interface `ExecModel`
  Parameters:
    `runTests` - true if the tests should automatically be run when the user closes the configuration editor, and false otherwise.

### showTemplateEditor

    public void showTemplateEditor()

  Description copied from interface: `ExecModel`
  Show the configuration editor for this tool with current template

  Specified by:
    `showTemplateEditor` in interface `ExecModel`

### showConfigEditor

    public void showConfigEditor()

  Invoked after QSW

### runTests

    public void runTests()

  Invoked after QSW

### runTests

    public void runTests(java.lang.String[] urls)

  Description copied from interface: `ExecModel`
  Run specified tests.

  Specified by:
    `runTests` in interface `ExecModel`
  Parameters:
    `urls` - These names may either be paths to folders or test names. Empty string value in the array indicates that the whole test suite should be run.

### showMessage

    public void showMessage(java.util.ResourceBundle msgs,
                            java.lang.String key)

  Specified by:
    `showMessage` in interface `ExecModel`

### printSetup

    public void printSetup()

  Specified by:
    `printSetup` in interface `ExecModel`

### print

    public void print(java.awt.print.Printable p)

  Specified by:
    `print` in interface `ExecModel`

### setWorkDir

    public void setWorkDir(WorkDirectory wd,
                           boolean addToFileHistory)
                    throws Interview.Fault,
                           TestSuite.Fault

  Specified by:
    `setWorkDir` in interface `ExecModel`
  Throws:
    `Interview.Fault`
    `TestSuite.Fault`

### configure

    public void configure()

  Causes a series of actions to be performed to complete configuration.

  Specified by:
    `configure` in interface `ExecModel`

### isConfiguring

    public boolean isConfiguring()

  Description copied from interface: `ExecModel`
  Returns true if the model is in the configuration stage, user is either selecting work directory or editing configuration. One can relay on this method to disable/enable some actions.

  Specified by:
    `isConfiguring` in interface `ExecModel`
  Returns:
    true if configuring is in progress at the moment.

### getExecToolManager

    public ExecToolManager getExecToolManager()

  Specified by:
    `getExecToolManager` in interface `ExecModel`

### showQuickStartWizard

    public void showQuickStartWizard()

### isQuickStartWizardShowing

    public boolean isQuickStartWizardShowing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.